Skip to content

Get a message

GET
/v2/health-navigator/messages/{messageId}
curl --request GET \
--url https://client-api.abi.ai/v2/health-navigator/messages/01K9F5PWBM2AFT1RG7TMN3YG1R \
--header 'Authorization: Bearer <token>'
messageId
required
string

Health Navigator message identifier.

Example
01K9F5PWBM2AFT1RG7TMN3YG1R

Health Navigator message returned.

Media typeapplication/json
object
messageId

ULID message identifier.

string
conversationId

Conversation identifier.

string
role

Sender role.

string
Allowed values: user assistant
content

Message content composed of ordered parts.

object
type
string
parts

Ordered text, actionable, resource, image, location, audio, video, or file parts.

Array
One of:

A text message part.

object
type
string
Allowed value: text
text

Text to display.

string
parentMessageId

Parent message identifier for a threaded reply.

string
createdAt
string format: date-time
updatedAt
string format: date-time
protocolVersion
string
Example
{
"messageId": "01K9F5PWBM2AFT1RG7TMN3YG1R",
"conversationId": "01HK8GGQ123456789ABCDEFGHI",
"role": "assistant",
"content": {
"type": "message",
"parts": [
{
"type": "text",
"text": "I am sorry you are feeling unwell. Here are some next steps to consider."
},
{
"type": "action",
"action": {
"type": "client_service",
"name": "book_consultation",
"source": "assistant",
"domain": "medical",
"label": "Book a consultation"
}
}
]
},
"createdAt": "2025-08-28T10:13:04.000Z",
"protocolVersion": "1.0.0"
}

Request could not be completed.

Media typeapplication/json
object
code

Short machine-readable error code.

string
message

Human-readable explanation of the error.

string
Examplegenerated
{
"code": "example",
"message": "example"
}